API ReferenceapiidentityGET /v1/admin/users/{user_id}/moderation

GET /v1/admin/users/\{user_id\}/moderation

Service: identity · operationId: (none)

Check active moderation status for a user

Required scopes

(no scope declared — review service config)

Path parameters

  • user_id (string) required

Responses

200 Moderation status

{
  "type": "object",
  "properties": {
    "moderated": {
      "type": "boolean"
    },
    "action": {
      "type": [
        "string",
        "null"
      ]
    },
    "reason": {
      "type": [
        "string",
        "null"
      ]
    },
    "suspended_until": {
      "type": [
        "string",
        "null"
      ]
    },
    "banned_at": {
      "type": [
        "string",
        "null"
      ]
    }
  },
  "required": [
    "moderated",
    "action",
    "reason",
    "suspended_until",
    "banned_at"
  ]
}

500 Internal error

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X GET https://identity.platform.loop.health/v1/admin/users/{user_id}/moderation \
  -H "Authorization: Bearer $ACCESS_TOKEN"